## GarconMenuItemCache GarconMenuItemCache |

## Functions

GarconMenuItemCache * | garcon_menu_item_cache_get_default ()
GarconMenuItem * | garcon_menu_item_cache_lookup ()
void | garcon_menu_item_cache_foreach ()
void | garcon_menu_item_cache_invalidate ()
void | garcon_menu_item_cache_invalidate_file ()

## Object Hierarchy

        GObject
        ╰── GarconMenuItemCache

## Description

## Functions

### garcon_menu_item_cache_get_default ()

    GarconMenuItemCache *
    garcon_menu_item_cache_get_default (void);

Returns the default GarconMenuItemCache. the returned object should be unreffed with `g_object_unref()` when no longer needed.

[constructor]

#### Returns

a new GarconMenuItemCache.

[transfer full]

### garcon_menu_item_cache_lookup ()

    GarconMenuItem *
    garcon_menu_item_cache_lookup (GarconMenuItemCache *cache,
                                   const gchar *uri,
                                   const gchar *desktop_id);

#### Parameters

cache | a GarconMenuItemCache |
uri | URI to look for |
desktop_id | desktop id to update |

#### Returns

a GarconMenuItem.

[transfer none][nullable]

### garcon_menu_item_cache_foreach ()

    void
    garcon_menu_item_cache_foreach (GarconMenuItemCache *cache,
                                    GHFunc func,
                                    gpointer user_data);

#### Parameters

cache | a GarconMenuItemCache |
func | . | [scope call]
user_data | parameter passed to `func` callback |

### garcon_menu_item_cache_invalidate ()

    void
    garcon_menu_item_cache_invalidate (GarconMenuItemCache *cache);

### garcon_menu_item_cache_invalidate_file ()

    void
    garcon_menu_item_cache_invalidate_file
                                   (GarconMenuItemCache *cache,
                                    GFile *file);